package com.fs.wxUser.service.impl;

import com.fs.wxUser.domain.CompanyWxUserGroup;
import com.fs.wxUser.mapper.CompanyWxUserGroupMapper;
import com.fs.wxUser.service.ICompanyWxUserGroupService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 个微 分组Service业务层处理
 * 
 * @author fs
 * @date 2024-10-25
 */
@Service
public class CompanyWxUserGroupServiceImpl implements ICompanyWxUserGroupService
{
    @Autowired
    private CompanyWxUserGroupMapper companyWxUserGroupMapper;

    /**
     * 查询个微 分组
     * 
     * @param groupId 个微 分组主键
     * @return 个微 分组
     */
    @Override
    public CompanyWxUserGroup selectCompanyWxUserGroupByGroupId(Long groupId)
    {
        return companyWxUserGroupMapper.selectCompanyWxUserGroupByGroupId(groupId);
    }

    /**
     * 查询个微 分组列表
     * 
     * @param companyWxUserGroup 个微 分组
     * @return 个微 分组
     */
    @Override
    public List<CompanyWxUserGroup> selectCompanyWxUserGroupList(CompanyWxUserGroup companyWxUserGroup)
    {
        return companyWxUserGroupMapper.selectCompanyWxUserGroupList(companyWxUserGroup);
    }

    /**
     * 新增个微 分组
     * 
     * @param companyWxUserGroup 个微 分组
     * @return 结果
     */
    @Override
    public int insertCompanyWxUserGroup(CompanyWxUserGroup companyWxUserGroup)
    {
        return companyWxUserGroupMapper.insertCompanyWxUserGroup(companyWxUserGroup);
    }

    /**
     * 修改个微 分组
     * 
     * @param companyWxUserGroup 个微 分组
     * @return 结果
     */
    @Override
    public int updateCompanyWxUserGroup(CompanyWxUserGroup companyWxUserGroup)
    {
        return companyWxUserGroupMapper.updateCompanyWxUserGroup(companyWxUserGroup);
    }

    /**
     * 批量删除个微 分组
     * 
     * @param groupIds 需要删除的个微 分组主键
     * @return 结果
     */
    @Override
    public int deleteCompanyWxUserGroupByGroupIds(Long[] groupIds)
    {
        return companyWxUserGroupMapper.deleteCompanyWxUserGroupByGroupIds(groupIds);
    }

    /**
     * 删除个微 分组信息
     * 
     * @param groupId 个微 分组主键
     * @return 结果
     */
    @Override
    public int deleteCompanyWxUserGroupByGroupId(Long groupId)
    {
        return companyWxUserGroupMapper.deleteCompanyWxUserGroupByGroupId(groupId);
    }
}
